OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SetVersion5 Class Reference

Sets IGES Version (coded in global parameter 23) to be at least
IGES 5.1 . If it is older, it is set to IGES 5.1, and
LastChangeDate (new Global n0 25) is added (current time)
Else, it does nothing (i.e. changes neither IGES Version nor
LastChangeDate)
.

`#include <IGESSelect_SetVersion5.hxx>`

Inheritance diagram for IGESSelect_SetVersion5:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SetVersion5 ()
| Creates an SetVersion5, which uses the system Date for Last Change Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : only <target> is used : IGES Version (coded) is upgraded to 5.1 if it is older, and it this case the new global parameter 25 (LastChangeDate) is set to current time .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Update IGES Version to 5.1" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SetVersion5::IGESSelect_SetVersion5 | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SetVersion5::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_SetVersion5::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_SetVersion5::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_SetVersion5.hxx